Upgrade Mate blocca aggiornamento del sistema

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
Avatar utente
kens
Arciere
Messaggi: 223
Iscritto il: 9 agosto 2010, 11:37
Località: Castel di Lama (AP) Italia.

Upgrade Mate blocca aggiornamento del sistema

Messaggio da kens » 12 agosto 2016, 8:58

In sede di aggiornamento (sia da pacman sia da yaourt), ricevo da qualche giorno il messaggio di operazione non permessa causa dipendenze:

Codice: Seleziona tutto

risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: mate-desktop e mate-desktop-gtk3 vanno in conflitto
Poiché uso Mate come desktop environment la cosa mi perplime ;) alquanto.
Ho aspettato qualche giorno pensando a qualche repository non ancora "in sync" ma senza esito.
Prima di lanciarmi in bonifiche non reversibili :mrgreen: vorrei consultarmi con la comunità; qualcuno ha lo stesso problema e/o , magari, l'ha già superato?.
Grazie...
Non possiedo Ipad né Iphone e nemmeno un I-quelcavolochevipare; nessun account Facebook né Twitter... e vivo felice.

Avatar utente
ange
Robin Hood
Messaggi: 1866
Iscritto il: 20 giugno 2012, 23:02
Architettura: x86_64 (64bit)

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da ange » 12 agosto 2016, 13:18

Dal messaggio, suppongo che basti un

Codice: Seleziona tutto

# pacman -Rdd mate-desktop
Prima dell'aggiornamento.

Qui ci sono più informazioni al riguardo.
Notebook ASUS A52J | Kubuntu 16.04 LTS amd64 | KDE Plasma Desktop
Notebook HP Pavilion G6-1352el | Arch Linux x86_64

Avatar utente
kens
Arciere
Messaggi: 223
Iscritto il: 9 agosto 2010, 11:37
Località: Castel di Lama (AP) Italia.

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da kens » 12 agosto 2016, 15:15

Grazie, ange :)

Pensavo anch'io di dare un "pacman -Rdd" ma poi, credo, toccherà anche ricaricare a manina mate-desktop che non sarebbe più trovato nei pacchetti da aggiornare (nessun problema, ovviamente).
Quanto alla soluzione sul sito Arch-Brexit ;);) mi pare piuttosto "leggerina" e non universalmente valida (non nel mio caso, comunque).
Appena avrò un attimo mi muoverò tenendo conto di quanto dibattuto sin qui.
Per ora... grazie! :)
nicola
Non possiedo Ipad né Iphone e nemmeno un I-quelcavolochevipare; nessun account Facebook né Twitter... e vivo felice.

Avatar utente
kens
Arciere
Messaggi: 223
Iscritto il: 9 agosto 2010, 11:37
Località: Castel di Lama (AP) Italia.

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da kens » 18 agosto 2016, 18:01

Ho meditato sull'upgrade e non sono del tutto tranquillo. In rete si trova poco, ma quel poco parrebbe indicare che non tutto è a posto sul versante mate-gtk3. Per questo e per non tenere bloccati gli altri aggiornamenti ho inserito in "pacman.conf" la seguente stringa:

Codice: Seleziona tutto

IgnoreGroup = mate,mate-extra,mate-gtk3,mate-unstable-extra
Non so dove ho sbagliato o se mi sono imbattuto in un bug ma provando ad aggiornare in queste condizioni i pacchetti facenti parte dei gruppi da ignorare vengono comunque inclusi e l'aggiornamento fallisce ancora:

Codice: Seleziona tutto

errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: mate-desktop e mate-desktop-gtk3 vanno in conflitto
Chiedo umilmente aiuto alla community :)
Non possiedo Ipad né Iphone e nemmeno un I-quelcavolochevipare; nessun account Facebook né Twitter... e vivo felice.

Avatar utente
kens
Arciere
Messaggi: 223
Iscritto il: 9 agosto 2010, 11:37
Località: Castel di Lama (AP) Italia.

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da kens » 18 agosto 2016, 18:23

Per ora ho "risolto" modificando pacman.conf in questo modo:

Codice: Seleziona tutto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg  = caja-actions
IgnorePkg  = mate-applet-streamer
IgnoreGroup = mate
IgnoreGroup = mate-extra
IgnoreGroup = mate-gtk3
IgnoreGroup = mate-unstable-extra
Non possiedo Ipad né Iphone e nemmeno un I-quelcavolochevipare; nessun account Facebook né Twitter... e vivo felice.

VenereNera
Little John
Messaggi: 952
Iscritto il: 20 dicembre 2012, 19:50

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da VenereNera » 18 agosto 2016, 19:55

Salve,
Il problema è caja passato alle gtk-3, quindi non vedo molte possibilità. https://www.archlinux.org/packages/comm ... 6_64/caja/
Alla lunga 'sto passaggio sarà inevitabile e al momento c'è da capire quanto sanguinoso sia.

Bye ^_^

Avatar utente
kens
Arciere
Messaggi: 223
Iscritto il: 9 agosto 2010, 11:37
Località: Castel di Lama (AP) Italia.

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da kens » 18 agosto 2016, 21:11

Ma non è tutto il desktop environment Mate, ad essere passato alle gtk3? Che senso avrebbe farlo soltanto per Caja :?:
In ogni caso mi pare che questo possa considerarsi uno "sgarbo" fatto alle rolling release come Arch...
Nessun problema se il team di sviluppo di un qualunque SW imprime un "salto generazionale"; il problema c'è, invece, se la cosa avviene in poco ordinato e/o poco documentato. Spero non sia il caso di Mate, che trovo soddisfacente già così com'è.
Altrimenti, dopo Gnome3, tanti saluti anche a loro; provvederemo diversamente :)

P.S. probabilmente, vista la piega presa, sarà il caso di spostare la discussione su "Desktop".
Non possiedo Ipad né Iphone e nemmeno un I-quelcavolochevipare; nessun account Facebook né Twitter... e vivo felice.

Avatar utente
ange
Robin Hood
Messaggi: 1866
Iscritto il: 20 giugno 2012, 23:02
Architettura: x86_64 (64bit)

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da ange » 19 agosto 2016, 23:55

Se ti interessa sapere lo status del porting a gtk3, ti consiglio di guardare qui.
Non sono messi malaccio a mio parere, anzi... sono anni luce avanti a Xfce.
Notebook ASUS A52J | Kubuntu 16.04 LTS amd64 | KDE Plasma Desktop
Notebook HP Pavilion G6-1352el | Arch Linux x86_64

Zar Marco
Arciere Provetto
Messaggi: 630
Iscritto il: 29 dicembre 2015, 11:34
Architettura: x86_64 (64bit)

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da Zar Marco » 19 settembre 2016, 21:18

Ragazzi, novità su come procede mate? Domani dovrò fare una nuova installazione e sono indeciso tra mate, già usata su parrot, 3 cinnamon, usata su mint.
Lenovo Legion Y520 Intel i7 7700HQ 8Gb ram arch(x86_64)+plasma5+i3wm
Macbook pro intel core 2duo 8gb di ram arch(x86_64)+i3wm

zorro62
Arciere
Messaggi: 320
Iscritto il: 26 aprile 2011, 18:07

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da zorro62 » 20 settembre 2016, 13:16

kens ha scritto:Per ora ho "risolto" modificando pacman.conf in questo modo:

Codice: Seleziona tutto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg  = caja-actions
IgnorePkg  = mate-applet-streamer
IgnoreGroup = mate
IgnoreGroup = mate-extra
IgnoreGroup = mate-gtk3
IgnoreGroup = mate-unstable-extra
io ho la versione di mate normale gtk2 tutta aggiornata,non ricordo tutti i passaggi,dovrei guardare il log,inoltre ho una versione in gtk3 che va gia molto bene.
archlinux-xfce,archlinux.mate

zorro62
Arciere
Messaggi: 320
Iscritto il: 26 aprile 2011, 18:07

Re: Upgrade Mate blocca aggiornamento del sistema

Messaggio da zorro62 » 20 settembre 2016, 13:18

ange ha scritto:Se ti interessa sapere lo status del porting a gtk3, ti consiglio di guardare qui.
Non sono messi malaccio a mio parere, anzi... sono anni luce avanti a Xfce.
per ora va tutto bene anche in gtk3 anche se non riesco ad aggiornare compiz ultima versione aur,ogni tanto con firefox-compiz debbo fare reoload.
archlinux-xfce,archlinux.mate

Rispondi